org.mariadb.jdbc

## Class MariaDbSavepoint

- java.lang.Object
- - org.mariadb.jdbc.MariaDbSavepoint

All Implemented Interfaces:
  Savepoint

    public class MariaDbSavepoint
    extends Object
    implements Savepoint

### Constructor Summary

Constructors
Constructor and Description
`MariaDbSavepoint(String name, int savepointId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getSavepointId()` Retrieves the generated ID for the savepoint that this `Savepoint` object represents.
`String` `getSavepointName()` Retrieves the name of the savepoint that this `Savepoint` object represents.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MariaDbSavepoint

    public MariaDbSavepoint(String name,
                            int savepointId)

### Method Detail

#### getSavepointId

    public int getSavepointId()

Retrieves the generated ID for the savepoint that this `Savepoint` object represents.

Specified by:
  `getSavepointId` in interface `Savepoint`
Returns:
  the numeric ID of this savepoint
Since:
  1.4

#### getSavepointName

    public String getSavepointName()

Retrieves the name of the savepoint that this `Savepoint` object represents.

Specified by:
  `getSavepointName` in interface `Savepoint`
Returns:
  the name of this savepoint
Since:
  1.4

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`